OpenTTD Source: ScenarioScanner Class Reference

OpenTTD Source 12.0-beta1

Public Member Functions | Private Attributes
ScenarioScanner Class Reference

Scanner to find the unique IDs of scenarios. More...

Inheritance diagram for ScenarioScanner:

## Public Member Functions
| ScenarioScanner ()
| Initialise.
void | Scan (bool rescan)
| Scan, but only if it's needed. More...
bool | AddFile (const std::string &filename, size_t basepath_length, const std::string &tar_filename) override
| Add a file with the given filename. More...

## Private Attributes
bool | scanned
| Whether we've already scanned.

## Additional Inherited Members
Protected Member Functions inherited from FileScanner
virtual | ~FileScanner ()
| Destruct the proper one...
uint | Scan (const char *extension, Subdirectory sd, bool tars=true, bool recursive=true)
| Scan for files with the given extension in the given search path. More...
uint | Scan (const char *extension, const char *directory, bool recursive=true)
| Scan for files with the given extension in the given search path. More...
Protected Attributes inherited from FileScanner
Subdirectory | subdir
| The current sub directory we are searching through.

## Detailed Description

Scanner to find the unique IDs of scenarios.

Definition at line 655 of file fios.cpp.

## Member Function Documentation

## ◆ AddFile()

bool ScenarioScanner::AddFile | ( | const std::string & | filename,
|  | size_t | basepath_length,
|  | const std::string & | tar_filename
| ) |  |
| inlineoverridevirtual

Add a file with the given filename.

Parameters

  filename | the full path to the file to read
  basepath_length | amount of characters to chop of before to get a filename relative to the search path.
  tar_filename | the name of the tar file the file is read from.

Returns
  true if the file is added.

Implements FileScanner.

Definition at line 673 of file fios.cpp.

References FioFCloseFile(), FioFOpenFile(), include(), lastof, SCENARIO_DIR, and strecpy().

## ◆ Scan()

void ScenarioScanner::Scan | ( | bool | rescan | ) |
| inline

Scan, but only if it's needed.

Parameters

  rescan | whether to force scanning even when it's not necessary

Definition at line 665 of file fios.cpp.

References FileScanner::Scan(), and SCENARIO_DIR.

Referenced by FindScenario(), and ScanScenarios().

The documentation for this class was generated from the following file:

- src/fios.cpp